
package org.jeecg.modules.workFlow.flowlong.engine.core.enums;

import java.util.Objects;

/**
 * 流程类型
 *

 */
public enum ProcessType {
    /**
     * 业务流程
     */
    business,
    /**
     * 子流程
     */
    child,
    /**
     * 主流程
     */
    main;

    public boolean ne(String type) {
        return !eq(type);
    }

    public boolean eq(String type) {
        return Objects.equals(this.name(), type);
    }
}
